Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724730 - media-libs/compface calls ar directly
Summary: media-libs/compface calls ar directly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Akinori Hattori
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-05-23 13:18 UTC by Agostino Sarubbo
Modified: 2020-05-27 12:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,14.42 KB, text/plain)
2020-05-23 13:19 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-23 13:18:59 UTC
This is an auto-filed bug because media-libs/compface calls ar directly.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different AR implementation (like llvm-ar) by setting the AR variable. So this issue has been reproduced by setting the AR variable to x86_64-pc-linux-gnu-ar and by removing the /usr/bin/ar binary.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-23 13:19:04 UTC
Created attachment 641106 [details]
build.log

build log and emerge --info
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2020-05-25 21:24:36 UTC
x86_64-pc-linux-gnu-gcc -c  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ERRNO_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STRINGS_H=1 -DHAVE_STRERROR=1 -DHAVE_CONFIG_H -O2 -pipe -mtune=native -march=native compress.c
x86_64-pc-linux-gnu-gcc -c  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ERRNO_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STRINGS_H=1 -DHAVE_STRERROR=1 -DHAVE_CONFIG_H -O2 -pipe -mtune=native -march=native gen.c
x86_64-pc-linux-gnu-gcc -c  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ERRNO_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STRINGS_H=1 -DHAVE_STRERROR=1 -DHAVE_CONFIG_H -O2 -pipe -mtune=native -march=native uncompface.c
x86_64-pc-linux-gnu-gcc -c  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_ERRNO_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STRINGS_H=1 -DHAVE_STRERROR=1 -DHAVE_CONFIG_H -O2 -pipe -mtune=native -march=native uncmain.c
ar rc libcompface.a arith.o file.o compress.o gen.o uncompface.o
make: ar: No such file or directory
make: *** [Makefile:55: libcompface.a] Error 127
Comment 3 Larry the Git Cow gentoo-dev 2020-05-27 12:38:55 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4cdd2d3846ec2a1bf4f1281a56a179234410774

commit e4cdd2d3846ec2a1bf4f1281a56a179234410774
Author:     Akinori Hattori <hattya@gentoo.org>
AuthorDate: 2020-05-27 12:37:57 +0000
Commit:     Akinori Hattori <hattya@gentoo.org>
CommitDate: 2020-05-27 12:37:57 +0000

    media-libs/compface: fix configure
    
    Closes: https://bugs.gentoo.org/720850
    Closes: https://bugs.gentoo.org/724730
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Akinori Hattori <hattya@gentoo.org>

 media-libs/compface/files/compface-gentoo.patch | 29 +++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)